std::experimental::fundamentals_v1::any Class Reference
Experimental » Type-safe container of any type

## Public Member Functions

| any () noexcept
template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>, typename enable_if< is_constructible< _Tp, _ValueType && >::value, bool >::type = true>
| any (_ValueType &&__value)
template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>, typename enable_if<!is_constructible< _Tp, _ValueType && >::value, bool >::type = false>
| any (_ValueType &&__value)
| any (any &&__other) noexcept
| any (const any &__other)
| ~any ()
void | clear () noexcept
bool | empty () const noexcept
template<typename _ValueType >
enable_if_t<!is_same< any, decay_t< _ValueType > >::value, any & > | operator= (_ValueType &&__rhs)
any & | operator= (any &&__rhs) noexcept
any & | operator= (const any &__rhs)
void | swap (any &__rhs) noexcept
const type_info & | type () const noexcept

## Static Public Member Functions

template<typename _Tp >
static constexpr bool | __is_valid_cast ()

## Friends

template<typename _Tp >
enable_if_t< is_object< _Tp >::value, void * > | __any_caster (const any *__any)

## Detailed Description

A type-safe container of any type.

An `any` object's state is either empty or it stores a contained object of CopyConstructible type.

Definition at line 87 of file any.

## Constructor & Destructor Documentation

## any()

template<typename _ValueType , typename _Tp = _Decay<_ValueType>, typename _Mgr = _Manager<_Tp>, typename enable_if<!is_constructible< _Tp, _ValueType && >::value, bool >::type = false>

std::experimental::fundamentals_v1::any::any | ( | _ValueType && | __value | ) |

inline

Construct with a copy of `__value` as the contained object.

Definition at line 176 of file any.

The documentation for this class was generated from the following file:

- any